:root{
    --bg-color: #1f242d;
    --second-bg-color: #26282b;
    --main-color: #ff555d;
    --white-color: #eaeaea;
    --disabled-color: #fff3;
}
*{
    box-sizing: border-box;
}
.portfolio{
    margin-top: 7rem;
    height: 90vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    scrollbar-width: none;
}

.portfolio-container{
    padding: 3rem;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 3rem;
}

.portfolio-detail{
    display: none;
}
.portfolio-detail.active{
    display: block;
}
.portfolio-box .numb{
    font-size: 8rem;
    -webkit-text-stroke: .07rem var(--white-color);
    color: transparent;
    line-height: 1;
}

.portfolio-box h3{
    font-size: 3.5rem;
    margin: 0.8rem 0 2rem;
}
.portfolio-box p{
    font-size: 1.6rem;
}

.portfolio-box .tech{
    margin: 2rem 0;
    color: var(--main-color);
    border-bottom: .1rem solid var(--white-color);
    padding-bottom: 2rem;
}

.portfolio-box .live-github a{
    position: relative;
    display: inline-flex;
    padding: 1.3rem;
    font-size: 3rem;
    color: var(--white-color);
    border-radius: 50%;
    background: var(--second-bg-color);
    transition: .5s;
}
.portfolio-box .live-github a:hover{
    color: var(--main-color);
}

.portfolio-box .live-github a:first-child{
 margin-right: 1.5rem;
}

.portfolio-box .live-github a:first-child i{
transform: rotate(135deg);
transition: .5s;
}

.portfolio-box .live-github a span{
 position: absolute;
 top: -60%;
 left: 50%;
 transform: translate(-50%) scale(.9);
 font-size: 1.6rem;
 white-space: nowrap;
 padding: .5rem 1rem;
 border-radius: .6rem;
 pointer-events: none;
 background-color: var(--white-color);
 color: var(--bg-color);
 opacity: 0;
 transition: .2s;
}
.portfolio-box .live-github a:first-child:hover i{
transform: rotate(180deg);
}

.portfolio-box .live-github a:hover span{
    top: -70%;
    opacity: 1;
    transform: translate(-50%) scale(1);
}

.portfolio-box .portfolio-carousel{
    width: 100%;
    height: 45rem;
    border-radius: 1rem;
    overflow: hidden;
}

.portfolio-carousel .img-slide{
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: 100%;
    gap: 2rem;
    height: inherit;
    transition: .5s;
}

.portfolio-carousel .img-item {
    height: inherit;
}

.portfolio-carousel .img-item img{/*ok*/
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 1rem;
}

.portfolio-box .navigation{
    text-align: right;
    margin-top: 2rem;
}
.portfolio-box .navigation button{
    display: inline-flex;
    padding: .4rem;
    background-color: var(--second-bg-color);
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    font-size: 4rem;
    color: var(--main-color);
    cursor: pointer;
}

.portfolio-box .navigation button.disabled{
    border-color: var(--second-bg-color);
    color: var(--disabled-color);
}
.portfolio-box .navigation .arrow-right{
    margin-left: 1.5rem;
}
@media (max-width:776px){
    .portfolio-container{
        height: 100%;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 2rem;
    }
    .portfolio{
        height: 90vh;
        margin-top: 5rem;
    }
    .portfolio-carousel .img-item img{
        width: 80%;
    }
}

@media (max-width:444px){
    .portfolio-carousel .img-item img{
        width: 30%;
    }
}